Your best friend for file transfer.

Fetch application logoFetch

Fetch and Catalina by Jim Matthews

Fetch 5.7.7, the current official release, is not compatible with macOS 10.15 Catalina. I am working on Fetch 5.8, a 64-bit Catalina-compatible update, and hope to finish it soon. In the meantime, if you have upgraded to Catalina I would encourage you to sign up for the Fetch 5.8 beta test list at this link:

Fetch 5.8 Beta Test List

You will receive a download link to the latest Fetch 5.8 beta version, which will run on Catalina, and you will be notified when there are new beta releases.

If you purchased Fetch 5.7 from the App Store you will need a serial number to run Fetch 5.8 beta releases. You can contact Fetch Support for assistance.

In other news:

Comments

  • We love Fetch!

    Eric November 29, 2019
  • J’utilise fetch depuis de nombreuses années.
    Ce sera avec plaisir que je découvrirai une version compatible avec Catalina.

    Serge R December 1, 2019
  • I’ve been using Fetch since version 1.something. I’ve tried others and in certain limited circumstances they’re okay, but I always go back to Fetch. Not planning to upgrade to Catalina anytime soon, since it’s not just Fetch that’s a problem, but it would be a comfort to know that I can without losing this app too.

    Karelle December 3, 2019
  1. Previous
  2. Page 1
  3. Page 2
  4. Page 3

Leave a comment

If you haven’t left a comment here before, you may need to be approved by the site owner before your comment will appear. Until then, it won’t appear on the entry. Thanks for waiting.

  • We will never post or share your email address.

Fetch visitor is writing…